import 'package:cs_resources/generated/assets.dart';
import 'package:domain/entity/home_module.dart';
import 'package:plugin_basic/basic_export.dart';

class MainState {
  //当前显示的模块
  List<HomeModule> datas = [];

  //全部的模块
  final List<HomeModule> modules = [
    HomeModule(key: 'job', moduleName: 'Jobs'.tr, moduleIconPath: Assets.mainHomeJobList, iconWidth: 45, iconHeight: 45),
    HomeModule(key: 'device', moduleName: 'Devices'.tr, moduleIconPath: Assets.mainHomeDevices, iconWidth: 45.5, iconHeight: 45.5),
    HomeModule(key: 'registration', moduleName: 'Security Registration'.tr, moduleIconPath: Assets.mainHomeSecurity, iconWidth: 58.5, iconHeight: 44.5),
    HomeModule(key: 'attendance', moduleName: 'E-Attendance'.tr, moduleIconPath: Assets.mainHomeAttendance, iconWidth: 44.5, iconHeight: 44.5),
    HomeModule(key: 'report', moduleName: 'Report'.tr, moduleIconPath: Assets.mainHomeReport, iconWidth: 50.5, iconHeight: 45.5),
  ];
}
